Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

STActor
STBundleInfo
STContext
STConversation
STEngine
STEnvironment
STEnvironmentDescription
STFileScript
STLanguageManager
STObjectReference
STRemoteConversation
STScript
STScriptObject
STScriptsManager
STSelector
STUndefinedObject

### Protocols

<STConversation>
<STEnvironmentProcess>
<STMethod>
<STScriptObject>
<STScripting>

### Constants

### Functions

STAllObjectiveCClasses
STAllObjectiveCSelectors
STClassDictionaryWithNames
STConstructMethodSignatureForSelector
STFindAllResources
STFindResource
STGetFoundationConstants
STGetValueOfTypeFromObject
STMethodSignatureForSelector
STObjectFromValueOfType
STSelectorFromString
STSelectorFromValue
STUserConfigPath
STValueFromSelector

### Macros

### Types

### Variables

STGenericException
STInternalInconsistencyException
STInvalidArgumentException
STLanguageBundleExtension
STLanguageBundlesDirectory
STLanguagesConfigFile
STLibraryDirectory
STMallocZone
STModuleExtension
STModulesDirectory
STNil
STScriptExtension
STScriptingEnvironmentExtension
STScriptingEnvironmentsDirectory
STScriptingException
STScriptsDirectory

Up

# STSelector class documentation

### Authors

Generated by Debian

Date: Generated at 2026-02-09 22:49:36 +0000

# Software documentation for the STSelector class

## STSelector : NSObject

> Declared in:
>   StepTalk/STSelector.h

Description forthcoming.

Instance Variables

### Method summary

- -initWithName:
- -initWithSelector:
- -selectorName
- -selectorValue

### initWithName:

- (id) initWithName: (NSString*)aString;
Description forthcoming.

### initWithSelector:

- (id) initWithSelector: (SEL)aSel;
Description forthcoming.

### selectorName

- (NSString*) selectorName;
Description forthcoming.

### selectorValue

- (SEL) selectorValue;
Description forthcoming.

## Instance Variables for STSelector Class

### sel

@protected SEL sel;
Description forthcoming.

### selectorName

@protected NSString* selectorName;
Description forthcoming.

Up